Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RRegexp Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
struct re_pattern_buffer * | ptr
VALUE | src
unsigned long | usecnt

## Detailed Description

Definition at line 910 of file ripper.y.

## Field Documentation

struct RBasic RRegexp::basic

Definition at line 911 of file ripper.y.

struct re_pattern_buffer * RRegexp::ptr

Definition at line 912 of file ripper.y.

Referenced by rb_reg_initialize().

VALUE RRegexp::src

Definition at line 913 of file ripper.y.

unsigned long RRegexp::usecnt

Definition at line 914 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h